<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: a_index</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: a_index</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><h3>Main module</h3>
<p>Details are described in the tutorial</p> 
<p>See <a href="tutorial-staticEngineModel.html">Static combustion engine model</a></p>
<h3>Parent module</h3>
<p> This is the top level module. There is no parent module.</p>
<h3>Child modules</h3>
<p>See <a href="module-socketCom.html"><code>module:socketCom</code></a></div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line222">line 222</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="~app"><span class="type-signature">(inner, constant) </span>app<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line241">line 241</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~express"><span class="type-signature">(inner, constant) </span>express<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line237">line 237</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~path"><span class="type-signature">(inner, constant) </span>path<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line249">line 249</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~router"><span class="type-signature">(inner, constant) </span>router<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line257">line 257</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~server"><span class="type-signature">(inner, constant) </span>server<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line245">line 245</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="~socketCom"><span class="type-signature">(inner, constant) </span>socketCom<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line253">line 253</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="~app_set"><span class="type-signature">(inner) </span>app_set<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Set folder any type of view engine :</p>
<p> folder : ./views
<p> view engine : pug
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line290">line 290</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~app_use"><span class="type-signature">(inner) </span>app_use<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Define public folder and route names :</p>
<p> /node_modules-> express.static(__dirname + '/node_modules')
<p> /HTML -> express.static(__dirname + '/HTML')
<p>  /View -> express.static(__dirname + '/View')
<p>  /Script -> express.static(__dirname + '/Script')
<p>  /tesdata -> express.static(__dirname + '/testdata')
<p>  /images -> express.static(__dirname + '/images')
<p>  /docs -> express.static(__dirname + '/docs')
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line261">line 261</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~bodyParser"><span class="type-signature">(inner) </span>bodyParser<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Parses HTML structure sent by a http post request</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line315">line 315</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~router_get"><span class="type-signature">(inner) </span>router_get<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>HTTP get service</p>
<p> / -> /HTML/dispatcher.html
<p> /signals->/HTML/signalsNOsci.html
<p> /Tree -> /HTML/d3treeAnimated.html
<p> /editsurface -> /HTML/editableSurface.html
<p> /editcurve -> /HTML/editableCurve.html
<p> /docs -> /docs/index.html
<p>
<p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line325">line 325</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~router_post"><span class="type-signature">(inner) </span>router_post<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>HTTP post service</p>
<p> - client HTML information sent by the post request is parsed
and the HTML page is redirected to a destination route according
to a request information which is contained in the HTML
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line372">line 372</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~server_listen"><span class="type-signature">(inner) </span>server_listen<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>The server starts listening to a defined port and host</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line415">line 415</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~socketCom"><span class="type-signature">(inner) </span>socketCom<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Launch socket communication</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line308">line 308</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index.html">a_index</a></li><li><a href="module-b_create_caldata_buttons.html">b_create_caldata_buttons</a></li><li><a href="module-c_handleModelData.html">c_handleModelData</a></li><li><a href="module-d_getModelStimulationData.html">d_getModelStimulationData</a></li><li><a href="module-deletePostgresData.html">deletePostgresData</a></li><li><a href="module-getPostgresData.html">getPostgresData</a></li><li><a href="module-getPostgresWOsocket.html">getPostgresWOsocket</a></li><li><a href="module-loadRoadLoads.html">loadRoadLoads</a></li><li><a href="module-select-stimulation.html">select-stimulation</a></li><li><a href="module-setPostgresData.html">setPostgresData</a></li><li><a href="module-socketCom.html">socketCom</a></li><li><a href="module-updatePostgresData.html">updatePostgresData</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.startFileExample.html">startFileExample</a></li><li><a href="data.dataviz.html">dataviz</a></li><li><a href="data.dataviz.socketevent.html">socketevent</a></li><li><a href="data.handler.html">handler</a></li><li><a href="data.insertRow.html">insertRow</a></li><li><a href="socket.socketfunction.html">socketfunction</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="data.dataviz.html#.event:thermdata">thermdata</a></li><li><a href="module-d_getModelStimulationData.html#~event:sendAudioFlPths">sendAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:connection">connection</a></li><li><a href="socket.socketfunction.html#.event:curvedata">curvedata</a></li><li><a href="socket.socketfunction.html#.event:disconnect">disconnect</a></li><li><a href="socket.socketfunction.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:getCurve">getCurve</a></li><li><a href="socket.socketfunction.html#.event:getTable">getTable</a></li><li><a href="socket.socketfunction.html#.event:initNewData">initNewData</a></li><li><a href="socket.socketfunction.html#.event:tabledata">tabledata</a></li><li><a href="socket.socketfunction.html#.event:time">time</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Tue Jul 27 2021 10:42:17 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>